DROP DATABASE IF EXISTS ds_test_2;
CREATE DATABASE ds_test_2;
GRANT ALL ON ds_test_2.* TO 'dstest'@localhost IDENTIFIED BY 'dstest';

use ds_test_2;

create table country (
	id bigint not null auto_increment,
	code varchar(2) not null unique,
	name varchar(128) not null unique,
	primary key (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

create table state (
	id bigint not null auto_increment,
	code varchar(2) not null unique,
	country_id bigint not null,
	name varchar(128) not null unique,
	primary key (id)
) ENGINE=InnoDB;

INSERT INTO state(code, country_id, name) VALUES ('AL',1413,'Alabama');
INSERT INTO state(code, country_id, name) VALUES ('AK',1413,'Alaska');
INSERT INTO state(code, country_id, name) VALUES ('AZ',1413,'Arizona');
INSERT INTO state(code, country_id, name) VALUES ('AR',1413,'Arkansas');
INSERT INTO state(code, country_id, name) VALUES ('CA',1413,'California');
INSERT INTO state(code, country_id, name) VALUES ('CO',1413,'Colorado');
INSERT INTO state(code, country_id, name) VALUES ('CT',1413,'Connecticut');
INSERT INTO state(code, country_id, name) VALUES ('DE',1413,'Delaware');
INSERT INTO state(code, country_id, name) VALUES ('DC',1413,'District Of Columbia');
INSERT INTO state(code, country_id, name) VALUES ('FL',1413,'Florida');
INSERT INTO state(code, country_id, name) VALUES ('GA',1413,'Georgia');
INSERT INTO state(code, country_id, name) VALUES ('HI',1413,'Hawaii');
INSERT INTO state(code, country_id, name) VALUES ('ID',1413,'Idaho');
INSERT INTO state(code, country_id, name) VALUES ('IL',1413,'Illinois');
INSERT INTO state(code, country_id, name) VALUES ('IN',1413,'Indiana');
INSERT INTO state(code, country_id, name) VALUES ('IA',1413,'Iowa');
INSERT INTO state(code, country_id, name) VALUES ('KS',1413,'Kansas');
INSERT INTO state(code, country_id, name) VALUES ('KY',1413,'Kentucky');
INSERT INTO state(code, country_id, name) VALUES ('LA',1413,'Louisiana');
INSERT INTO state(code, country_id, name) VALUES ('ME',1413,'Maine');
INSERT INTO state(code, country_id, name) VALUES ('MD',1413,'Maryland');
INSERT INTO state(code, country_id, name) VALUES ('MA',1413,'Massachusetts');
INSERT INTO state(code, country_id, name) VALUES ('MI',1413,'Michigan');
INSERT INTO state(code, country_id, name) VALUES ('MN',1413,'Minnesota');
INSERT INTO state(code, country_id, name) VALUES ('MS',1413,'Mississippi');
INSERT INTO state(code, country_id, name) VALUES ('MO',1413,'Missouri');
INSERT INTO state(code, country_id, name) VALUES ('MT',1413,'Montana');
INSERT INTO state(code, country_id, name) VALUES ('NE',1413,'Nebraska');
INSERT INTO state(code, country_id, name) VALUES ('NV',1413,'Nevada');
INSERT INTO state(code, country_id, name) VALUES ('NH',1413,'New Hampshire');
INSERT INTO state(code, country_id, name) VALUES ('NJ',1413,'New Jersey');
INSERT INTO state(code, country_id, name) VALUES ('NM',1413,'New Mexico');
INSERT INTO state(code, country_id, name) VALUES ('NY',1413,'New York');
INSERT INTO state(code, country_id, name) VALUES ('NC',1413,'North Carolina');
INSERT INTO state(code, country_id, name) VALUES ('ND',1413,'North Dakota');
INSERT INTO state(code, country_id, name) VALUES ('OH',1413,'Ohio');
INSERT INTO state(code, country_id, name) VALUES ('OK',1413,'Oklahoma');
INSERT INTO state(code, country_id, name) VALUES ('OR',1413,'Oregon');
INSERT INTO state(code, country_id, name) VALUES ('PA',1413,'Pennsylvania');
INSERT INTO state(code, country_id, name) VALUES ('RI',1413,'Rhode Island');
INSERT INTO state(code, country_id, name) VALUES ('SC',1413,'South Carolina');
INSERT INTO state(code, country_id, name) VALUES ('SD',1413,'South Dakota');
INSERT INTO state(code, country_id, name) VALUES ('TN',1413,'Tennessee');
INSERT INTO state(code, country_id, name) VALUES ('TX',1413,'Texas');
INSERT INTO state(code, country_id, name) VALUES ('UT',1413,'Utah');
INSERT INTO state(code, country_id, name) VALUES ('VT',1413,'Vermont');
INSERT INTO state(code, country_id, name) VALUES ('VA',1413,'Virginia');
INSERT INTO state(code, country_id, name) VALUES ('WA',1413,'Washington');
INSERT INTO state(code, country_id, name) VALUES ('WV',1413,'West Virginia');
INSERT INTO state(code, country_id, name) VALUES ('WI',1413,'Wisconsin');
INSERT INTO state(code, country_id, name) VALUES ('WY',1413,'Wyoming');

INSERT INTO country(id, code, name) VALUES (1,'CD','Congo, The Democratic Republic Of The');
INSERT INTO country(id, code, name) VALUES (1191,'AF','Afghanistan');
INSERT INTO country(id, code, name) VALUES (1192,'AL','Albania');
INSERT INTO country(id, code, name) VALUES (1193,'DZ','Algeria');
INSERT INTO country(id, code, name) VALUES (1194,'AS','American Samoa');
INSERT INTO country(id, code, name) VALUES (1195,'AD','Andorra');
INSERT INTO country(id, code, name) VALUES (1196,'AO','Angola');
INSERT INTO country(id, code, name) VALUES (1197,'AI','Anguilla');
INSERT INTO country(id, code, name) VALUES (1198,'AQ','Antarctica');
INSERT INTO country(id, code, name) VALUES (1199,'AG','Antigua And Barbuda');
INSERT INTO country(id, code, name) VALUES (1200,'AR','Argentina');
INSERT INTO country(id, code, name) VALUES (1201,'AM','Armenia');
INSERT INTO country(id, code, name) VALUES (1202,'AW','Aruba');
INSERT INTO country(id, code, name) VALUES (1203,'AU','Australia');
INSERT INTO country(id, code, name) VALUES (1204,'AT','Austria');
INSERT INTO country(id, code, name) VALUES (1205,'AZ','Azerbaijan');
INSERT INTO country(id, code, name) VALUES (1206,'BS','Bahamas');
INSERT INTO country(id, code, name) VALUES (1207,'BH','Bahrain');
INSERT INTO country(id, code, name) VALUES (1208,'BD','Bangladesh');
INSERT INTO country(id, code, name) VALUES (1209,'BB','Barbados');
INSERT INTO country(id, code, name) VALUES (1210,'BY','Belarus');
INSERT INTO country(id, code, name) VALUES (1211,'BE','Belgium');
INSERT INTO country(id, code, name) VALUES (1212,'BZ','Belize');
INSERT INTO country(id, code, name) VALUES (1213,'BJ','Benin');
INSERT INTO country(id, code, name) VALUES (1214,'BM','Bermuda');
INSERT INTO country(id, code, name) VALUES (1215,'BT','Bhutan');
INSERT INTO country(id, code, name) VALUES (1216,'BO','Bolivia');
INSERT INTO country(id, code, name) VALUES (1217,'BA','Bosnia And Herzegovina');
INSERT INTO country(id, code, name) VALUES (1218,'BW','Botswana');
INSERT INTO country(id, code, name) VALUES (1220,'BR','Brazil');
INSERT INTO country(id, code, name) VALUES (1222,'BN','Brunei Darussalam');
INSERT INTO country(id, code, name) VALUES (1223,'BG','Bulgaria');
INSERT INTO country(id, code, name) VALUES (1224,'BF','Burkina Faso');
INSERT INTO country(id, code, name) VALUES (1225,'BI','Burundi');
INSERT INTO country(id, code, name) VALUES (1226,'KH','Cambodia');
INSERT INTO country(id, code, name) VALUES (1227,'CM','Cameroon');
INSERT INTO country(id, code, name) VALUES (1228,'CA','Canada');
INSERT INTO country(id, code, name) VALUES (1229,'CV','Cape Verde');
INSERT INTO country(id, code, name) VALUES (1230,'KY','Cayman Islands');
INSERT INTO country(id, code, name) VALUES (1231,'CF','Central African Republic');
INSERT INTO country(id, code, name) VALUES (1232,'TD','Chad');
INSERT INTO country(id, code, name) VALUES (1233,'CL','Chile');
INSERT INTO country(id, code, name) VALUES (1234,'CN','China');
INSERT INTO country(id, code, name) VALUES (1236,'CC','Cocos (Keeling) Islands');
INSERT INTO country(id, code, name) VALUES (1237,'CO','Colombia');
INSERT INTO country(id, code, name) VALUES (1238,'KM','Comoros');
INSERT INTO country(id, code, name) VALUES (1239,'CG','Congo');
INSERT INTO country(id, code, name) VALUES (1240,'CK','Cook Islands');
INSERT INTO country(id, code, name) VALUES (1241,'CR','Costa Rica');
INSERT INTO country(id, code, name) VALUES (1242,'CI','Cote D\'Ivoire');
INSERT INTO country(id, code, name) VALUES (1243,'HR','Croatia');
INSERT INTO country(id, code, name) VALUES (1244,'CU','Cuba');
INSERT INTO country(id, code, name) VALUES (1245,'CY','Cyprus');
INSERT INTO country(id, code, name) VALUES (1246,'CZ','Czech Republic');
INSERT INTO country(id, code, name) VALUES (1247,'DK','Denmark');
INSERT INTO country(id, code, name) VALUES (1248,'DJ','Djibouti');
INSERT INTO country(id, code, name) VALUES (1249,'DM','Dominica');
INSERT INTO country(id, code, name) VALUES (1250,'DO','Dominican Republic');
INSERT INTO country(id, code, name) VALUES (1251,'TP','East Timor');
INSERT INTO country(id, code, name) VALUES (1252,'EC','Ecuador');
INSERT INTO country(id, code, name) VALUES (1253,'EG','Egypt');
INSERT INTO country(id, code, name) VALUES (1254,'SV','El Salvador');
INSERT INTO country(id, code, name) VALUES (1255,'GQ','Equatorial Guinea');
INSERT INTO country(id, code, name) VALUES (1256,'ER','Eritrea');
INSERT INTO country(id, code, name) VALUES (1257,'EE','Estonia');
INSERT INTO country(id, code, name) VALUES (1258,'ET','Ethiopia');
INSERT INTO country(id, code, name) VALUES (1261,'FJ','Fiji');
INSERT INTO country(id, code, name) VALUES (1262,'FI','Finland');
INSERT INTO country(id, code, name) VALUES (1263,'FR','France');
INSERT INTO country(id, code, name) VALUES (1265,'GF','French Guiana');
INSERT INTO country(id, code, name) VALUES (1266,'PF','French Polynesia');
INSERT INTO country(id, code, name) VALUES (1267,'TF','French Southern Territories');
INSERT INTO country(id, code, name) VALUES (1268,'GA','Gabon');
INSERT INTO country(id, code, name) VALUES (1269,'GM','Gambia');
INSERT INTO country(id, code, name) VALUES (1270,'GE','Georgia');
INSERT INTO country(id, code, name) VALUES (1271,'DE','Germany');
INSERT INTO country(id, code, name) VALUES (1272,'GH','Ghana');
INSERT INTO country(id, code, name) VALUES (1273,'GI','Gibraltar');
INSERT INTO country(id, code, name) VALUES (1274,'GR','Greece');
INSERT INTO country(id, code, name) VALUES (1275,'GL','Greenland');
INSERT INTO country(id, code, name) VALUES (1276,'GD','Grenada');
INSERT INTO country(id, code, name) VALUES (1277,'GP','Guadeloupe');
INSERT INTO country(id, code, name) VALUES (1278,'GU','Guam');
INSERT INTO country(id, code, name) VALUES (1279,'GT','Guatemala');
INSERT INTO country(id, code, name) VALUES (1280,'GN','Guinea');
INSERT INTO country(id, code, name) VALUES (1281,'GW','Guinea-Bissau');
INSERT INTO country(id, code, name) VALUES (1282,'GY','Guyana');
INSERT INTO country(id, code, name) VALUES (1283,'HT','Haiti');
INSERT INTO country(id, code, name) VALUES (1285,'HN','Honduras');
INSERT INTO country(id, code, name) VALUES (1286,'HK','Hong Kong');

INSERT INTO country(id, code, name) VALUES (1287,'HU','Hungary');
INSERT INTO country(id, code, name) VALUES (1288,'IS','Iceland');
INSERT INTO country(id, code, name) VALUES (1289,'IN','India');
INSERT INTO country(id, code, name) VALUES (1290,'ID','Indonesia');
INSERT INTO country(id, code, name) VALUES (1291,'IR','Iran, Islamic Republic Of');
INSERT INTO country(id, code, name) VALUES (1292,'IQ','Iraq');
INSERT INTO country(id, code, name) VALUES (1293,'IE','Ireland');
INSERT INTO country(id, code, name) VALUES (1294,'IL','Israel');
INSERT INTO country(id, code, name) VALUES (1295,'IT','Italy');
INSERT INTO country(id, code, name) VALUES (1296,'JM','Jamaica');
INSERT INTO country(id, code, name) VALUES (1297,'JP','Japan');
INSERT INTO country(id, code, name) VALUES (1298,'JO','Jordan');
INSERT INTO country(id, code, name) VALUES (1299,'KZ','Kazakhstan');
INSERT INTO country(id, code, name) VALUES (1300,'KE','Kenya');
INSERT INTO country(id, code, name) VALUES (1301,'KI','Kiribati');
INSERT INTO country(id, code, name) VALUES (1302,'KP','North Korea');
INSERT INTO country(id, code, name) VALUES (1303,'KR','South Korea');
INSERT INTO country(id, code, name) VALUES (1304,'KW','Kuwait');
INSERT INTO country(id, code, name) VALUES (1305,'KG','Kyrgyzstan');
INSERT INTO country(id, code, name) VALUES (1306,'LA','Lao People\'s Democratic Republic');
INSERT INTO country(id, code, name) VALUES (1307,'LV','Latvia');
INSERT INTO country(id, code, name) VALUES (1308,'LB','Lebanon');
INSERT INTO country(id, code, name) VALUES (1309,'LS','Lesotho');
INSERT INTO country(id, code, name) VALUES (1310,'LR','Liberia');
INSERT INTO country(id, code, name) VALUES (1311,'LY','Libya');
INSERT INTO country(id, code, name) VALUES (1312,'LI','Liechtenstein');
INSERT INTO country(id, code, name) VALUES (1313,'LT','Lithuania');
INSERT INTO country(id, code, name) VALUES (1314,'LU','Luxembourg');
INSERT INTO country(id, code, name) VALUES (1315,'MO','Macau');
INSERT INTO country(id, code, name) VALUES (1316,'MK','Macedonia');
INSERT INTO country(id, code, name) VALUES (1317,'MG','Madagascar');
INSERT INTO country(id, code, name) VALUES (1318,'MW','Malawi');
INSERT INTO country(id, code, name) VALUES (1319,'MY','Malaysia');
INSERT INTO country(id, code, name) VALUES (1320,'MV','Maldives');
INSERT INTO country(id, code, name) VALUES (1321,'ML','Mali');
INSERT INTO country(id, code, name) VALUES (1322,'MT','Malta');
INSERT INTO country(id, code, name) VALUES (1323,'MH','Marshall Islands');
INSERT INTO country(id, code, name) VALUES (1325,'MR','Mauritania');
INSERT INTO country(id, code, name) VALUES (1326,'MU','Mauritius');
INSERT INTO country(id, code, name) VALUES (1327,'YT','Mayotte');
INSERT INTO country(id, code, name) VALUES (1328,'MX','Mexico');
INSERT INTO country(id, code, name) VALUES (1329,'FM','Micronesia, Federated States Of');
INSERT INTO country(id, code, name) VALUES (1330,'MD','Moldova, Republic Of');
INSERT INTO country(id, code, name) VALUES (1331,'MC','Monaco');
INSERT INTO country(id, code, name) VALUES (1332,'MN','Mongolia');
INSERT INTO country(id, code, name) VALUES (1333,'MS','Montserrat');
INSERT INTO country(id, code, name) VALUES (1334,'MA','Morocco');
INSERT INTO country(id, code, name) VALUES (1335,'MZ','Mozambique');
INSERT INTO country(id, code, name) VALUES (1337,'NA','Namibia');
INSERT INTO country(id, code, name) VALUES (1338,'NR','Nauru');
INSERT INTO country(id, code, name) VALUES (1339,'NP','Nepal');
INSERT INTO country(id, code, name) VALUES (1340,'NL','Netherlands');
INSERT INTO country(id, code, name) VALUES (1341,'AN','Netherlands Antilles');
INSERT INTO country(id, code, name) VALUES (1342,'NC','New Caledonia');
INSERT INTO country(id, code, name) VALUES (1343,'NZ','New Zealand');
INSERT INTO country(id, code, name) VALUES (1344,'NI','Nicaragua');
INSERT INTO country(id, code, name) VALUES (1345,'NE','Niger');
INSERT INTO country(id, code, name) VALUES (1346,'NG','Nigeria');
INSERT INTO country(id, code, name) VALUES (1347,'NU','Niue');
INSERT INTO country(id, code, name) VALUES (1348,'NF','Norfolk Island');
INSERT INTO country(id, code, name) VALUES (1349,'MP','Northern Mariana Islands');
INSERT INTO country(id, code, name) VALUES (1350,'NO','Norway');
INSERT INTO country(id, code, name) VALUES (1351,'OM','Oman');
INSERT INTO country(id, code, name) VALUES (1352,'PK','Pakistan');
INSERT INTO country(id, code, name) VALUES (1353,'PW','Palau');
INSERT INTO country(id, code, name) VALUES (1354,'PA','Panama');
INSERT INTO country(id, code, name) VALUES (1355,'PG','Papua New Guinea');
INSERT INTO country(id, code, name) VALUES (1356,'PY','Paraguay');
INSERT INTO country(id, code, name) VALUES (1357,'PE','Peru');
INSERT INTO country(id, code, name) VALUES (1358,'PH','Philippines');
INSERT INTO country(id, code, name) VALUES (1360,'PL','Poland');
INSERT INTO country(id, code, name) VALUES (1361,'PT','Portugal');
INSERT INTO country(id, code, name) VALUES (1362,'PR','Puerto Rico');
INSERT INTO country(id, code, name) VALUES (1363,'QA','Qatar');
INSERT INTO country(id, code, name) VALUES (1364,'RE','Reunion');
INSERT INTO country(id, code, name) VALUES (1365,'RO','Romania');
INSERT INTO country(id, code, name) VALUES (1366,'RU','Russia');
INSERT INTO country(id, code, name) VALUES (1367,'RW','Rwanda');
INSERT INTO country(id, code, name) VALUES (1368,'KN','Saint Kitts And Nevis');
INSERT INTO country(id, code, name) VALUES (1369,'LC','Saint Lucia');
INSERT INTO country(id, code, name) VALUES (1370,'VC','Saint Vincent And The Grenadines');
INSERT INTO country(id, code, name) VALUES (1371,'WS','Samoa');
INSERT INTO country(id, code, name) VALUES (1372,'SM','San Marino');
INSERT INTO country(id, code, name) VALUES (1373,'ST','Sao Tome And Principe');
INSERT INTO country(id, code, name) VALUES (1374,'SA','Saudi Arabia');
INSERT INTO country(id, code, name) VALUES (1375,'SN','Senegal');
INSERT INTO country(id, code, name) VALUES (1376,'SC','Seychelles');
INSERT INTO country(id, code, name) VALUES (1377,'SL','Sierra Leone');
INSERT INTO country(id, code, name) VALUES (1378,'SG','Singapore');
INSERT INTO country(id, code, name) VALUES (1379,'SK','Slovakia');
INSERT INTO country(id, code, name) VALUES (1380,'SI','Slovenia');
INSERT INTO country(id, code, name) VALUES (1381,'SB','Solomon Islands');
INSERT INTO country(id, code, name) VALUES (1382,'SO','Somalia');
INSERT INTO country(id, code, name) VALUES (1383,'ZA','South Africa');
INSERT INTO country(id, code, name) VALUES (1385,'ES','Spain');
INSERT INTO country(id, code, name) VALUES (1386,'LK','Sri Lanka');
INSERT INTO country(id, code, name) VALUES (1387,'SH','Saint Helena');
INSERT INTO country(id, code, name) VALUES (1388,'PM','Saint Pierre And Miquelon');
INSERT INTO country(id, code, name) VALUES (1389,'SD','Sudan');
INSERT INTO country(id, code, name) VALUES (1390,'SR','Suriname');
INSERT INTO country(id, code, name) VALUES (1392,'SZ','Swaziland');
INSERT INTO country(id, code, name) VALUES (1393,'SE','Sweden');
INSERT INTO country(id, code, name) VALUES (1394,'CH','Switzerland');
INSERT INTO country(id, code, name) VALUES (1395,'SY','Syrian Arab Republic');
INSERT INTO country(id, code, name) VALUES (1396,'TW','Taiwan');
INSERT INTO country(id, code, name) VALUES (1397,'TJ','Tajikistan');
INSERT INTO country(id, code, name) VALUES (1398,'TZ','Tanzania, United Republic Of');
INSERT INTO country(id, code, name) VALUES (1399,'TH','Thailand');
INSERT INTO country(id, code, name) VALUES (1400,'TG','Togo');
INSERT INTO country(id, code, name) VALUES (1402,'TO','Tonga');
INSERT INTO country(id, code, name) VALUES (1403,'TT','Trinidad And Tobago');
INSERT INTO country(id, code, name) VALUES (1404,'TN','Tunisia');
INSERT INTO country(id, code, name) VALUES (1405,'TR','Turkey');
INSERT INTO country(id, code, name) VALUES (1406,'TM','Turkmenistan');
INSERT INTO country(id, code, name) VALUES (1407,'TC','Turks And Caicos Islands');
INSERT INTO country(id, code, name) VALUES (1408,'TV','Tuvalu');
INSERT INTO country(id, code, name) VALUES (1409,'UG','Uganda');
INSERT INTO country(id, code, name) VALUES (1410,'UA','Ukraine');
INSERT INTO country(id, code, name) VALUES (1411,'AE','United Arab Emirates');
INSERT INTO country(id, code, name) VALUES (1412,'GB','United Kingdom');
INSERT INTO country(id, code, name) VALUES (1413,'US','United States');
INSERT INTO country(id, code, name) VALUES (1415,'UY','Uruguay');
INSERT INTO country(id, code, name) VALUES (1416,'UZ','Uzbekistan');
INSERT INTO country(id, code, name) VALUES (1417,'VU','Vanuatu');
INSERT INTO country(id, code, name) VALUES (1418,'VA','Holy See (Vatican City State)');
INSERT INTO country(id, code, name) VALUES (1419,'VE','Venezuela');
INSERT INTO country(id, code, name) VALUES (1420,'VN','Viet Nam');
INSERT INTO country(id, code, name) VALUES (1421,'VG','Virgin Islands (British)');
INSERT INTO country(id, code, name) VALUES (1422,'VI','Virgin Islands, U.S.');
INSERT INTO country(id, code, name) VALUES (1423,'WF','Wallis And Futuna Islands');
INSERT INTO country(id, code, name) VALUES (1424,'EH','Western Sahara');
INSERT INTO country(id, code, name) VALUES (1425,'YE','Yemen');
INSERT INTO country(id, code, name) VALUES (1426,'YU','Serbia and Montenegro');
INSERT INTO country(id, code, name) VALUES (1427,'ZR','Zaire');
INSERT INTO country(id, code, name) VALUES (1428,'ZM','Zambia');

alter table state add index FK68AC491F02DE8D7 (country_id),
add constraint FK68AC491F02DE8D7 foreign key (country_id) references country (id);
