package com.burtbeckwith.ds_test.controller

import com.burtbeckwith.ds_test.domain.Book

class BookController {

	def allowedMethods = [delete:'POST', save:'POST', update:'POST']

	def index = {
		redirect action: list, params: params
	}

	def list = {
		if (!params.max) {
			params.max = 10
		}

		[books: Book.list(params)]
	}

	def show = {

		Book book = Book.get(params.id)

		if (!book) {
			flash.message = "Book not found with id ${params.id}"
			redirect action: list
			return
		}

		[book: book]
	}

	def delete = {

		Book book = Book.get(params.id)
		if (!book) {
			flash.message = "Book not found with id ${params.id}"
			redirect action: list
			return
		}

		book.delete()
		flash.message = "Book ${params.id} deleted"
		redirect action: list
	}

	def edit = {

		Book book = Book.get(params.id)

		if (!book) {
			flash.message = "Book not found with id ${params.id}"
			redirect action: list
			return
		}

		[book: book]
	}

	def update = {

		Book book = Book.get(params.id)

		if (!book) {
			flash.message = "Book not found with id ${params.id}"
			redirect action: edit, id:params.id
			return
		}

		book.properties = params
		if (!book.hasErrors() && book.save()) {
			flash.message = "Book ${params.id} updated"
			redirect action: show, id: book.id
			return
		}

		render view:'edit', model: [book: book]
	}

	def create = {
		[book: new Book(params)]
	}

	def save = {
		Book book = new Book(params)
		if (!book.hasErrors() && book.save()) {
			flash.message = "Book ${book.id} created"
				redirect action: show, id: book.id
				return
		}

		render view: 'create', model: [book: book]
	}
}
