package com.burtbeckwith.ds_test.controller

import com.burtbeckwith.ds_test.domain.Country

class CountryController {

	def allowedMethods = [delete:'POST', save:'POST', update:'POST']

	def index = {
		redirect action: list, params: params
	}

	def list = {
		if (!params.max) {
			params.max = 10
		}

		[countries: Country.list(params)]
	}

	def show = {

		Country country = Country.get(params.id)

		if (!country) {
			flash.message = "Country not found with id ${params.id}"
			redirect action: list
			return
		}

		[country: country]
	}

	def delete = {

		Country country = Country.get(params.id)
		if (!country) {
			flash.message = "Country not found with id ${params.id}"
			redirect action: list
			return
		}

		country.delete()
		flash.message = "Country ${params.id} deleted"
		redirect action: list
	}

	def edit = {

		Country country = Country.get(params.id)

		if (!country) {
			flash.message = "Country not found with id ${params.id}"
			redirect action: list
			return
		}

		[country: country]
	}

	def update = {

		Country country = Country.get(params.id)

		if (!country) {
			flash.message = "Country not found with id ${params.id}"
			redirect action: edit, id:params.id
			return
		}

		country.properties = params
		if (!country.hasErrors() && country.save()) {
			flash.message = "Country ${params.id} updated"
			redirect action: show, id: country.id
			return
		}

		render view:'edit', model: [country: country]
	}

	def create = {
		[country: new Country(params)]
	}

	def save = {
		Country country = new Country(params)
		if (!country.hasErrors() && country.save()) {
			flash.message = "Country ${country.id} created"
				redirect action: show, id: country.id
				return
		}

		render view: 'create', model: [country: country]
	}
}
