package com.burtbeckwith.ds_test.controller

import com.burtbeckwith.ds_test.domain.Library

class LibraryController {

	def allowedMethods = [delete:'POST', save:'POST', update:'POST']

	def index = {
		redirect action: list, params: params
	}

	def list = {
		if (!params.max) {
			params.max = 10
		}

		[libraries: Library.list(params)]
	}

	def show = {

		Library library = Library.get(params.id)

		if (!library) {
			flash.message = "Library not found with id ${params.id}"
			redirect action: list
			return
		}

		[library: library]
	}

	def delete = {

		Library library = Library.get(params.id)
		if (!library) {
			flash.message = "Library not found with id ${params.id}"
			redirect action: list
			return
		}

		library.delete()
		flash.message = "Library ${params.id} deleted"
		redirect action: list
	}

	def edit = {

		Library library = Library.get(params.id)

		if (!library) {
			flash.message = "Library not found with id ${params.id}"
			redirect action: list
			return
		}

		[library: library]
	}

	def update = {

		Library library = Library.get(params.id)

		if (!library) {
			flash.message = "Library not found with id ${params.id}"
			redirect action: edit, id:params.id
			return
		}

		library.properties = params
		if (!library.hasErrors() && library.save()) {
			flash.message = "Library ${params.id} updated"
			redirect action: show, id: library.id
			return
		}

		render view:'edit', model: [library: library]
	}

	def create = {
		[library: new Library(params)]
	}

	def save = {
		Library library = new Library(params)
		if (!library.hasErrors() && library.save()) {
			flash.message = "Library ${library.id} created"
				redirect action: show, id: library.id
				return
		}

		render view: 'create', model: [library: library]
	}
}
