package com.burtbeckwith.ds_test.controller

import com.burtbeckwith.ds_test.domain.State

class StateController {

	def allowedMethods = [delete:'POST', save:'POST', update:'POST']

	def index = {
		redirect action: list, params: params
	}

	def list = {
		if (!params.max) {
			params.max = 10
		}

		[states: State.list(params)]
	}

	def show = {

		State state = State.get(params.id)

		if (!state) {
			flash.message = "State not found with id ${params.id}"
			redirect action: list
			return
		}

		[state: state]
	}

	def delete = {

		State state = State.get(params.id)
		if (!state) {
			flash.message = "State not found with id ${params.id}"
			redirect action: list
			return
		}

		state.delete()
		flash.message = "State ${params.id} deleted"
		redirect action: list
	}

	def edit = {

		State state = State.get(params.id)

		if (!state) {
			flash.message = "State not found with id ${params.id}"
			redirect action: list
			return
		}

		[state: state]
	}

	def update = {

		State state = State.get(params.id)

		if (!state) {
			flash.message = "State not found with id ${params.id}"
			redirect action: edit, id:params.id
			return
		}

		state.properties = params
		if (!state.hasErrors() && state.save()) {
			flash.message = "State ${params.id} updated"
			redirect action: show, id: state.id
			return
		}

		render view:'edit', model: [state: state]
	}

	def create = {
		[state: new State(params)]
	}

	def save = {
		State state = new State(params)
        if (!state.hasErrors() && state.save()) {
            flash.message = "State ${state.id} created"
            redirect action: show, id: state.id
            return
        }

		render view: 'create', model: [state: state]
    }

	def openSessionInViewTest = {
		// grab an arbitrary instance, make a change without calling save,
		// and redirect to force a reload. the resulting page should _not_ be
		// auto-updated since the data source is read-only

		State state = State.list()[0]
		state.name += '123'
		redirect action: show, id: state.id
	}
}
