package com.burtbeckwith.ds_test.controller

import com.burtbeckwith.ds_test.domain.Visit

class VisitController {

	def allowedMethods = [delete:'POST', save:'POST', update:'POST']

	def index = {
		redirect action: list, params: params
	}

	def list = {
		if (!params.max) {
			params.max = 10
		}

		[visits: Visit.list(params)]
	}

	def show = {

		Visit visit = Visit.get(params.id)

		if (!visit) {
			flash.message = "Visit not found with id ${params.id}"
			redirect action: list
			return
		}

		[visit: visit]
	}

	def delete = {

		Visit visit = Visit.get(params.id)
		if (!visit) {
			flash.message = "Visit not found with id ${params.id}"
			redirect action: list
			return
		}

		visit.delete()
		flash.message = "Visit ${params.id} deleted"
		redirect action: list
	}

	def edit = {

		Visit visit = Visit.get(params.id)

		if (!visit) {
			flash.message = "Visit not found with id ${params.id}"
			redirect action: list
			return
		}

		[visit: visit]
	}

	def update = {

		Visit visit = Visit.get(params.id)

		if (!visit) {
			flash.message = "Visit not found with id ${params.id}"
			redirect action: edit, id:params.id
			return
		}

		visit.properties = params
		if (!visit.hasErrors() && visit.save()) {
			flash.message = "Visit ${params.id} updated"
			redirect action: show, id: visit.id
			return
		}

		render view:'edit', model: [visit: visit]
	}

	def create = {
		[visit: new Visit(params)]
	}

	def save = {
		Visit visit = new Visit(params)
		if (!visit.hasErrors() && visit.save()) {
			flash.message = "Visit ${visit.id} created"
				redirect action: show, id: visit.id
				return
		}

		render view: 'create', model: [visit: visit]
	}

	def openSessionInViewTest = {
		// grab an arbitrary instance, make a change without calling save,
		// and redirect to force a reload. the resulting page should be auto-updated

		Visit visit = Visit.list()[0]
		visit.visitDate = new Date()
		redirect action: show, id: visit.id
	}
}
