package com.burtbeckwith.grails.plugin.datasources

import org.codehaus.groovy.grails.commons.ApplicationHolder
import org.codehaus.groovy.grails.commons.DefaultGrailsApplication
import org.codehaus.groovy.grails.commons.GrailsClass

/**
 * Used as a mock when calling HibernateGrailsPlugin.
 *
 * @author Burt
 */
class FakeGrailsApplication extends DefaultGrailsApplication {

	def domainClasses
	def serviceClasses

	GrailsClass[] getArtefacts(String artefactType) {
		return domainClasses as GrailsClass[]
	}

	GrailsClass addArtefact(String artefactType, GrailsClass artefactGrailsClass) {
		return artefactGrailsClass
	}

	GrailsClass addArtefact(String artefactType, Class artefactClass) {
		return domainClasses.find { dc -> dc.clazz.name ==  artefactClass.name }
	}

	GroovyClassLoader getClassLoader() {
		return ApplicationHolder.application.classLoader
	}
}
