package com.burtbeckwith.grails.plugin.datasources

import java.sql.Connection

import org.springframework.jdbc.datasource.DriverManagerDataSource

class ReadOnlyDriverManagerDataSource extends DriverManagerDataSource {

	/**
	 * {@inheritDoc}
	 * @see org.springframework.jdbc.datasource.DriverManagerDataSource#getConnectionFromDriverManager(
	 * 	java.lang.String, java.util.Properties)
	 */
	@Override
	protected Connection getConnectionFromDriverManager(String url, Properties props) {
		Connection connection = super.getConnectionFromDriverManager(url, props)
		connection.readOnly = true
		return connection
	}
}
